Bug 860959 - [abrt] midori-0.4.6-1.fc17: __strlen_sse2_pminub: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.6-1.fc17: __strlen_sse2_pminub: Process /usr/bin/midori was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:e0713f3879b8c0bdf542f37ff85...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 04:01 EDT by Ralf Oltmanns
Modified: 2013-08-01 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.71 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: environ (1.39 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: backtrace (59.80 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: cgroup (126 bytes, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: maps (77.23 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: dso_list (15.56 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: var_log_messages (391 bytes, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details
File: open_fds (1.54 KB, text/plain)
2012-09-27 04:01 EDT, Ralf Oltmanns
no flags Details

  None (edit)
Description Ralf Oltmanns 2012-09-27 04:01:18 EDT
Version-Release number of selected component:
midori-0.4.6-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        midori
crash_function: __strlen_sse2_pminub
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 __strlen_sse2_pminub at ../sysdeps/x86_64/multiarch/strlen-sse2-pminub.S
: #1 g_strdup at gstrfuncs.c
: #2 webkit_web_view_download_requested_cb at ../midori/midori-view.c
: #3 webkit_marshal_BOOLEAN__OBJECT at DerivedSources/webkit/webkitmarshal.cpp
: #8 webkit_web_view_request_download at Source/WebKit/gtk/webkit/webkitwebview.cpp
: #9 WebKit::FrameLoaderClient::download at Source/WebKit/gtk/WebCoreSupport/FrameLoaderClientGtk.cpp
: #10 WebCore::MainResourceLoader::continueAfterContentPolicy at Source/WebCore/loader/MainResourceLoader.cpp
: #12 WebCore::PolicyChecker::continueAfterContentPolicy at Source/WebCore/loader/PolicyChecker.cpp
: #13 webkit_web_view_mime_type_decision_cb at ../midori/midori-view.c
: #14 webkit_marshal_BOOLEAN__OBJECT_OBJECT_STRING_OBJECT at DerivedSources/webkit/webkitmarshal.cpp
Comment 1 Ralf Oltmanns 2012-09-27 04:01:22 EDT
Created attachment 617930 [details]
File: core_backtrace
Comment 2 Ralf Oltmanns 2012-09-27 04:01:24 EDT
Created attachment 617931 [details]
File: environ
Comment 3 Ralf Oltmanns 2012-09-27 04:01:26 EDT
Created attachment 617932 [details]
File: limits
Comment 4 Ralf Oltmanns 2012-09-27 04:01:30 EDT
Created attachment 617933 [details]
File: backtrace
Comment 5 Ralf Oltmanns 2012-09-27 04:01:32 EDT
Created attachment 617934 [details]
File: cgroup
Comment 6 Ralf Oltmanns 2012-09-27 04:01:34 EDT
Created attachment 617935 [details]
File: maps
Comment 7 Ralf Oltmanns 2012-09-27 04:01:36 EDT
Created attachment 617936 [details]
File: dso_list
Comment 8 Ralf Oltmanns 2012-09-27 04:01:38 EDT
Created attachment 617937 [details]
File: var_log_messages
Comment 9 Ralf Oltmanns 2012-09-27 04:01:41 EDT
Created attachment 617938 [details]
File: open_fds
Comment 10 Kevin Fenzi 2012-09-27 10:22:22 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 11 Jani Heinonen 2012-11-02 06:10:07 EDT
Openin a page with .swf gave a download popup for the file. Clicking cancel caused the crash

backtrace_rating: 4
Package: midori-0.4.6-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Fedora End Of Life 2013-07-04 02:07:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 13:33:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.